Subject: bug#41030: [PATCH] Make EWW respect XDG download directory by default

From: Noam Postavsky <[email-masked]>
Date: Tue, 05 May 2020 20:04:30 -0400

Stefan Kangas <[email-masked]> writes:

>> It sounds like it could be specific to your environment; have a look at
>> 'man 1 xdg-user-dirs-update'.
>
> In my use-case, I don't think I have ever touched any of this stuff.
> Not AFAIR, anyways.
>
> So I wonder if the suggested code would mean to never use
> "~/Downloads", since xdg-user-dir will always return something else?

I get nil from (xdg-user-dir "DOWNLOAD").  Looking at the code, I guess
you have something in ~/.config/user-dirs.dirs which causes this.